net.i2p.router.web.helpers

## Class InfoHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.InfoHelper

-     public class InfoHelper
      extends HelperBase

  Helper for router information page rendering and form processing.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `bwIn()`
    `String` | `bwOut()`
    `String` | `bwShare()`
    `String` | `codelInterval()`
    `String` | `codelTarget()`
    `String` | `firstInstalled()`
    `String` | `firstVersion()`
    `String` | `getConsole()`
    `String` | `getCoreCount()`
    `String` | `getFamily()`
    `String` | `getGeoIPBuildInfo()`
    `String` | `getStats()`
    `String` | `getUdpIP()`
    `String` | `getUdpPort()`
    `boolean` | `isRouterSlow()`
    `String` | `lastCountry()`
    `String` | `lastUpdated()`
    `void` | `setFull(String f)`
    `String` | `updateDevSU3()`
    `String` | `updatePolicy()`
    `String` | `updateUnsigned()`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoHelper

          public InfoHelper()

  - ### Method Detail

    - #### bwIn

          public String bwIn()

    - #### bwOut

          public String bwOut()

    - #### bwShare

          public String bwShare()

    - #### codelInterval

          public String codelInterval()

    - #### codelTarget

          public String codelTarget()

    - #### firstInstalled

          public String firstInstalled()

    - #### firstVersion

          public String firstVersion()

    - #### getConsole

          public String getConsole()

    - #### getCoreCount

          public String getCoreCount()

    - #### getFamily

          public String getFamily()

    - #### getGeoIPBuildInfo

          public String getGeoIPBuildInfo()

    - #### getStats

          public String getStats()

    - #### getUdpIP

          public String getUdpIP()

      Returns:
        host or "unknown"

    - #### getUdpPort

          public String getUdpPort()

    - #### isRouterSlow

          public boolean isRouterSlow()

    - #### lastCountry

          public String lastCountry()

    - #### lastUpdated

          public String lastUpdated()

    - #### setFull

          public void setFull(String f)

    - #### updateDevSU3

          public String updateDevSU3()

    - #### updatePolicy

          public String updatePolicy()

    - #### updateUnsigned

          public String updateUnsigned()